## vdr-plugin-vnsiserver-dmo 1.2.1

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = vnsiserver

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' vnsi.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR ?= $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)
ifeq ($(strip $(APIVERSION)),)
APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
NOCONFIG := 1
endif

# backwards compatibility version < 1.7.34
API1733 := $(shell if [ "$(APIVERSION)" \< "1.7.34" ]; then echo true; fi; )

ifdef API1733

VDRSRC = $(VDRDIR)
VDRSRC ?= ../../..
ifeq ($(strip $(LIBDIR)),)
LIBDIR = $(VDRSRC)/PLUGINS/lib
endif

ifndef NOCONFIG
CXXFLAGS = $(call PKGCFG,cflags)
CXXFLAGS += -fPIC
else
-include $(VDRSRC)/Make.global
-include $(VDRSRC)/Make.config
endif

export CXXFLAGS
else

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

ifdef API1733
INCLUDES += -I$(VDRSRC)/include
endif

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DVNSI_SERVER_VERSION='"$(VERSION)"'

ifeq ($(DEBUG),1)
DEFINES += -DDEBUG
endif

### The object files (add further files here):

OBJS = vnsi.o bitstream.o vnsiclient.o config.o cxsocket.o parser.o parser_AAC.o \
       parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o \
       parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
       vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
       videoinput.o channelfilter.o status.o

### The main target:

ifdef API1733
all: install-lib
else
all: $(SOFILE)
endif
#

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

compile: $(SOFILE)

## vdr-plugin-vnsiserver-dmo 1.8.0

=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo2) unstable; urgency=medium

  * Rebuild against vdr-abi-2.4.1-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jul 2019 13:02:04 +0200

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Oct 2018 09:42:39 +0200

vdr-plugin-vnsiserver-dmo (5:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 May 2018 09:20:44 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo3) unstable; urgency=medium

  * Rebuild against vdr-abi-2.4.0-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Apr 2018 23:57:22 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo2) unstable; urgency=medium

  * Rebuild against vdr-abi-2.3.8-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Aug 2017 04:00:19 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2017 09:06:54 +0100

vdr-plugin-vnsiserver-dmo (5:1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Sep 2016 08:47:14 +0200

vdr-plugin-vnsiserver-dmo (5:1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Aug 2016 07:21:52 +0200

vdr-plugin-vnsiserver-dmo (5:1.3.1-dmo2) unstable; urgency=medium

  * Rebuild against vdr 2.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Sep 2015 16:08:33 +0200

vdr-plugin-vnsiserver-dmo (5:1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Sep 2015 15:27:54 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo8) unstable; urgency=medium

  * Rebuild with gcc-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Aug 2015 12:05:35 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo7) unstable; urgency=medium

  * Build for unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2015 18:15:07 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo6) stable; urgency=medium

  * Install allowed_hosts.conf in /etc/vdr/plugins/vnsiserver
  * Last package for stable ?

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2015 12:12:28 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo5) stable; urgency=medium

  * Rebuild for unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 20:15:58 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo4) stable; urgency=medium

  * Don't package allowed_hosts.conf (this file isn't a configuration file
    and changes are lost when the package is upgraded) but put this file in
    /usr/share/doc/vdr-plugin-vnsiserver/examples

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 11:37:22 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo3) stable; urgency=medium

  * Install allowed_hosts.conf file in /var/lib/vdr/plugins/vnsiserver
    (Thanks to Jochen Pawletta for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Jun 2015 09:25:46 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo2) stable; urgency=medium

  * Rebuild for stable (against VDR 2.0.3).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jun 2015 23:58:04 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jan 2015 16:40:05 +0100

vdr-plugin-vnsiserver-dmo (5:1.2.0-dmo2) unstable; urgency=medium

  * Should Depends on vdr.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Oct 2014 08:47:29 +0200

vdr-plugin-vnsiserver-dmo (5:1.2.0-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Oct 2014 15:29:32 +0200

=== debian/control ===
Source: vdr-plugin-vnsiserver-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), vdr-dev (>= 2.4.1), pkg-config

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to handle XBMC clients.
 The vdr-plugin-vnsiserver is able to handle several XBMC clients
 connecting via the VNSI addon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with vdrplugin

=== debian/watch ===
version=4

https://github.com/FernetMenta/vdr-plugin-vnsiserver/releases \
/FernetMenta/vdr-plugin-vnsiserver/archive/v(.*)@ARCHIVE_EXT@

## vdr-plugin-vnsiserver-dmo 1.8.3

=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo2+deb13u1) trixie; urgency=medium

  * Increase Debian version to dmo2+deb13u1 needed by i386 package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2026 15:51:48 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1+deb13u1) trixie; urgency=medium

  * Build with vdr-dev 2.6.9 (Thanks to Stephan Gerth for thr bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2026 15:34:16 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2023 14:20:58 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo4) unstable; urgency=medium

  * Build with vdr-abi-2.6.0-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Jan 2022 08:20:47 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.0-dmo3) unstable; urgency=medium

  * Build with vdr-abi-2.4.7-debian

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Dec 2021 09:31:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: https://github.com/FernetMenta/vdr-plugin-vnsiserver
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12), vdr-dev (>= 2.4.1), pkg-config
+Homepage: https://github.com/vdr-projects/vdr-plugin-vnsiserver
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0~), pkgconf
 
 Package: vdr-plugin-vnsiserver
 Architecture: any

=== debian/watch ===
version=4

https://github.com/vdr-projects/vdr-plugin-vnsiserver/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## vdr-plugin-vnsiserver-dmo 1.8.4

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 ### The directory environment:
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
+PKG_CONFIG ?= pkg-config
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
 LIBDIR ?= $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
@@ -36,32 +37,9 @@
 NOCONFIG := 1
 endif
 
-# backwards compatibility version < 1.7.34
-API1733 := $(shell if [ "$(APIVERSION)" \< "1.7.34" ]; then echo true; fi; )
-
-ifdef API1733
-
-VDRSRC = $(VDRDIR)
-VDRSRC ?= ../../..
-ifeq ($(strip $(LIBDIR)),)
-LIBDIR = $(VDRSRC)/PLUGINS/lib
-endif
-
-ifndef NOCONFIG
-CXXFLAGS = $(call PKGCFG,cflags)
-CXXFLAGS += -fPIC
-else
--include $(VDRSRC)/Make.global
--include $(VDRSRC)/Make.config
-endif
-
-export CXXFLAGS
-else
-
 ### Allow user defined options to overwrite defaults:
 
 -include $(PLGCFG)
-endif
 
 ### The name of the distribution archive:
 
@@ -79,6 +57,8 @@
 endif
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DVNSI_SERVER_VERSION='"$(VERSION)"'
+CXXFLAGS += -std=c++11
+export CXXFLAGS
 
 ifeq ($(DEBUG),1)
 DEFINES += -DDEBUG
@@ -86,11 +66,11 @@
 
 ### The object files (add further files here):
 
-OBJS = vnsi.o bitstream.o vnsiclient.o config.o cxsocket.o parser.o parser_AAC.o \
-       parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o \
+OBJS = vnsi.o bitstream.o vnsiclient.o channelscancontrol.o config.o cxsocket.o parser.o parser_AAC.o \
+       parser_AC3.o parser_DTS.o parser_h264.o parser_hevc.o parser_MPEGAudio.o parser_MPEGVideo.o \
        parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
        vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
-       videoinput.o channelfilter.o status.o
+       videoinput.o channelfilter.o status.o vnsitimer.o vnsisocket.o StatusCommands.o
 
 ### The main target:

=== debian/changelog ===
vdr-plugin-vnsiserver-dmo (5:1.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Feb 2026 17:13:53 +0100

vdr-plugin-vnsiserver-dmo (5:1.8.3-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 17:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: vdr-plugin-vnsiserver-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/vdr-projects/vdr-plugin-vnsiserver
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0~), pkgconf
 
 Package: vdr-plugin-vnsiserver

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with vdrplugin
